<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         modify_newsletter.php
Description:  Administrative module to unset the newsletter

*/

    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";
    include "../modules/class_user.php";
    include "../modules/class_userlist.php";

    $usrUser = new cUser;
    $usrUser->SetFolder($CUSTOMER_FOLDER);
    $usrList = new cUserList;
    $usrList->SetFolder($CUSTOMER_FOLDER);
    $wantsNewsletter = false;
    $userId = "";
    $userEmail = "";
    $errorString = "";

    // Existing user
    if (isset($_GET['id']) == true && $_GET['id'] != "")
    {
        $userId = $_GET['id'];
    }
    // New user
    if (isset($_GET['email']) == true && $_GET['email'] != "")
    {
        $userEmail = $_GET['email'];
    }
    // Subscribe / unsubscribe?
    if (isset($_GET['subscribe']) == true)
    {
        if ($_GET['subscribe'] == "1")
            $wantsNewsletter = true;
    }
    if ($userId == "" && $userEmail == "")
        $errorString = $cTrans->GetTranslation('admin_newsletted_error');
    else if ($userId != "" && $userEmail != "")
        $userEmail = "";

    // Check, if not already existing by email
    if ($userEmail != "")
    {
        $userId = $usrList->GetUserIdByEmail($userEmail);
        if ($userId == false)
            $userId = "";
        else
            $userEmail = "";
    }

    // Modify existing user
    if ($userId != "")
    {
        if ($usrUser->LoadUserFromId($userId) == false)
            $errorString = $cTrans->GetTranslation('admin_newsletted_error');
        else
        {
            $usrUser->SetWantsNewsletter($wantsNewsletter);
            if ($usrUser->SaveUser() == false)
            {
                log_message ('External user modified subscription ' . $usrUser->GetId());
                $errorString = $cTrans->GetTranslation('admin_newsletted_error');
            }
        }
    }
    // Add a new user
    else if ($userEmail != "")
    {
        $usrUser->CreateUser();
        $usrUser->SetFolder($CUSTOMER_FOLDER);
        $usrUser->SetEmail($userEmail);
        $usrUser->SetWantsNewsletter($wantsNewsletter);
        // Dummy values...
        $usrUser->SetFirstName("Newsletter");
        $usrUser->SetLastName("Newsletter");
        $usrUser->SetStreet("Newsletter");
        $usrUser->SetStreetNo("0");
        $usrUser->SetCity("Newsletter");
        $usrUser->SetZipCode("00000");
        $usrUser->SetTelephoneNo("00000/000000");

        if ($usrUser->SaveUser() == false)
        {
            log_message ('External user modified NEW subscription ' . $usrUser->GetEmail());
            $errorString = $cTrans->GetTranslation('admin_newsletted_error');
        }
    }

    print_admin_header($cTrans->GetTranslation('admin_newsletted_head'));
    if ($errorString != "")
    {
        print_error_message($errorString);
        return;
    }
    if ($wantsNewsletter == false)
        echo_r ($cTrans->GetTranslation('admin_newsletted_unsubscribe'));
    else
        echo_r ($cTrans->GetTranslation('admin_newsletted_subscribe'));
        
    print_admin_footer();
    
?>