<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         shop_article_list.php
Description:  Shop overview of all active articles

*/
    include "../modules/mod_config.php";
    include "../modules/mod_shop.php";

    // Check for maintenance mode...
    if ($SHOP_MAINTENANCE_MODE == true)
    {
        include $ADMIN_MAINTENANCE_SITE;
        return;
    }

    // Check for login...
    if (check_login() == false && $FORCE_CUSTOMER_LOGIN == true)
    {
        header ("location: " . $SHOP_LOGIN_SITE);
        return;
    }

    include "../modules/class_article.php";
    include "../modules/class_articlelist.php";
    include "../modules/class_category.php";
    include "../modules/class_categorylist.php";
    include "../modules/class_translation.php";
    include "../modules/class_textfile.php";

    if (isset($_SESSION) == false)
        session_start();

    $cFile = new cTextFile;

    $artList = new cArticleList;
    $artList->SetFolder($ARTICLE_FOLDER);

    if (isset($_POST['shopl_Search']) == true && isset($_POST['shopl_SearchStr']) == true && $_POST['shopl_SearchStr'] != "")
        $artList->LoadSearchActiceArticleList($_POST['shopl_SearchStr']);
    else
    {
        $artList->LoadArticleList($FILTER_UNLOCKED);
        if (isset($_POST['shopl_SearchStr']) == true)
            $_POST['shopl_SearchStr'] = "";
    }

    // Display article list
    $contPage = build_page($SHOP_THEME, false, true, true, "");
    $titleArray = get_shop_navigationtitles();
    $contPage = fill_titles($contPage, $SHOP_TITLE, $titleArray[0]);

    // Main content
    $contMain = build_shop_login();
    $contMain .= $cFile->LoadFromFile($MAINTITLE_CONFIG_FILE);
//    $contMain .= echo_sr ('<form method="post" action="">');
    $contMain .= echo_sr ('<form method="post" action="' . $SHOP_LIST_SITE . '">');
    $contMain .= echo_sr ('<table border="0" width="100%">');
    $contMain .= echo_sr ('<tr>');
    $contMain .= echo_sr ('  <td align="left"></td>');
    $contMain .= echo_sr ('  <td align="right">');
    if (isset($_POST['shopl_SearchStr']) == false)
        $contMain .= ('    <input type="text" name="shopl_SearchStr" value="">');
    else
        $contMain .= ('    <input type="text" name="shopl_SearchStr" value="' . $_POST['shopl_SearchStr'] . '">');
    $contMain .= echo_sr ('    <input type="submit" class="side_btn" id="shopl_Search_btn" name="shopl_Search" value="' . $cTrans->GetTranslation('shop_list_search') .'">');
    $contMain .= echo_sr ('    <input type="submit" class="side_btn" id="shopl_All_btn" name="shopl_All" value="' . $cTrans->GetTranslation('shop_list_allarticles') .'">');
    $contMain .= echo_sr ('  </td>');
    $contMain .= echo_sr ('</tr>');
    $contMain .= echo_sr ('</table>');
    $contMain .= echo_sr ('</form>');

    if ($USE_CATEGORIES == true && (isset($_POST['shopl_Search']) == false || $_POST['shopl_SearchStr'] == ""))
    {
        $catCategory = new cCategory;
        $catList = new cCategoryList;
        $catCategory->SetFolder($CATEGORY_FOLDER);
        $catList->SetFolder($CATEGORY_FOLDER);
        $catList->LoadCategoryList($FILTER_UNLOCKED);

        $listCat = $catList->GetCategoryList();
        $contMain .= echo_sr ('<table class="cat_tbl" cellspacing="0" cellpadding="0">');
        $contMain .= echo_sr ('  <tr>');
        $contMain .= echo_sr ('    <td>');

        foreach ($listCat as $value)
        {
            $catCategory->LoadCategoryFromId($value);
            $contMain .= echo_sr ('    <input type="button" class="catlink_btn" name="cat_Id" value="' . $catCategory->GetName() . '" onClick="location.href=\'' . $SHOP_MAIN_SITE . '?cat_id=' . $catCategory->GetId() . '\'">');
        }
        $contMain .= echo_sr ('    </td>');
        $contMain .= echo_sr ('  </tr>');
        $contMain .= echo_sr ('</table>');
        if (isset($_GET['cat_id']) == true && $_GET['cat_id'] != "")
            $catId = $_GET['cat_id'];
        else
        {
            $catId = -1;  // Error, no categories found!
            if (isset($listCat[0]) == true)
                $catId = $listCat[0];
        }
        $artList->LoadArticleListFromCatId($catId, $FILTER_UNLOCKED);
    }

    if ($SHOP_SIDEBAR == true)
    {
        $contMain .= echo_sr ('<table class="con_sidebar_tbl" width="100%" border="0">');
        $contMain .= echo_sr ('<tr><td class="con_sidebar_tbltd_left" style="vertical-align: top">');
    }

    $artList->SortArticleList($SHOP_ARTICLE_SORT);
    $listArt = $artList->GetArticleList();

    $contMain .= echo_sr ('<table class="con_tbl" id="list_con_tbl" width="100%">');
    $iCount = 0;
    $iWidth = sprintf("%01.0f", (100 / $SHOP_NUMIMAGES));
    $art = new cArticle;
    $art->SetFolder($ARTICLE_FOLDER);
    for ($a = 0; $a < count($listArt); $a ++)
    {
        $art->LoadArticleFromId($listArt[$a]);
        if ($USE_ARTICLE_AMOUNTS == false || $art->IsArticleSoldOut() == false)  // If using amounts, do not display sold out ones...
        {
            if ($iCount == 0)
                $contMain .= echo_sr ('  <tr>');
            $contMain .= echo_sr ('    <td width="' . $iWidth . '%">');
            $contMain .= echo_sr ('      <center>');
            $contMain .= build_article_thumb($listArt[$a], true, $THUMB_IMAGE_WIDTH, $THUMB_IMAGE_HEIGHT, $cTrans->GetTranslation('shop_list_videoavailable'));
            $contMain .= echo_sr ('      </center>');
            $contMain .= echo_sr ('    </td>');
            $iCount ++;
            if ($iCount == $SHOP_NUMIMAGES)
            {
                $iCount = 0;
                $contMain .= echo_sr ('  </tr>');
            }
        }
    }
    if ($iCount > 0)
    {
        for ($c = $iCount; $c < $SHOP_NUMIMAGES; $c ++)
            $contMain .= echo_sr ('    <td width="' . $iWidth . '%">&nbsp;</td>');
        $contMain .= echo_sr ('  </tr>');
    }
    // No articles available?
    if (count($listArt) == 0)
    {
        $contMain .= echo_sr ('  <tr>');
        if (isset($_POST['shopl_SearchStr']) == false || $_POST['shopl_SearchStr'] == "")
            $contMain .= echo_sr ('    <td>' . $cTrans->GetTranslation('shop_list_errornoarticles') . '</td>');
        else
            $contMain .= echo_sr ('    <td>' . $cTrans->GetTranslation('shop_list_errorsearch') . '</td>');
        $contMain .= echo_sr ('  </tr>');
    }
    $contMain .= echo_sr ('</table>');
    // Sidebar
    if ($SHOP_SIDEBAR == true)
    {
        $contMain .= echo_sr ('</td><td class="con_sidebar_tbltd_right" style="vertical-align: top">');
        $contMain .= build_shop_sidebar();
        $contMain .= echo_sr ('</td></tr>');
        $contMain .= echo_sr ('</table>');
    }
    $contMain .= build_site_counter();

    // Additional content
    $contAdditional = "";

    // Put content together
    $contContent = build_site_content($ALIGN_TOP, $contMain, $contAdditional);
    $contPage = fill_content($contPage, $contContent, "", "");
    $contPage = fill_emptyvars($contPage);

    echo_r($contPage);

?>